Home > Cannot Load > `require': Cannot Load Such File -- Readline

`require': Cannot Load Such File -- Readline

Contents

A solution for now is to downgrade from readline 6.3.3 to 6.2.4 using this raw URL. $ brew uninstall readline && brew install https://raw.githubusercontent.com/Homebrew/homebrew/0181c8a1633353affefabe257c170edbd6d7c008/Library/Formula/readline.rb This was referenced Apr 24, 2014 Merged That is it! Join them; it only takes a minute: Sign up Rails console: in `require': cannot load such file — readline (LoadError) up vote 8 down vote favorite I've got some errors in T (homepage) Recommended reading (all book reviews) [emailprotected] +46855924996 @tobiassjosten +Tobias Sjösten All content is, unless otherwise stated, published under the Creative Commons Attribution-ShareAlike 3.0 Unported License. http://culturahq.com/cannot-load/kernel-require-rb-54-in-require-39-cannot-load-such-file-bundler-loaderror.html

Having the gem installed (gem install rb-readline) is enough. –Samy Dindane May 18 '12 at 11:57 9 Right, you can install any gem globally on your computer. ruby-on-rails ruby ruby-on-rails-3 heroku share|improve this question asked Feb 18 '12 at 10:45 Only Bolivian Here 12.4k47124218 add a comment| 8 Answers 8 active oldest votes up vote 55 down vote It makes sense to describe how to search for and apply patches for people to be able to do it themselves, unless rbenv isn't going to do it automatically. Thanks! http://stackoverflow.com/questions/15752275/why-does-rails-console-say-cannot-load-such-file-readline

`require': Cannot Load Such File -- Readline

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Thanks! Everything works fine, it's only when I run "rails c" or "rails console" I get the above error. nochecking for editline/readline.h...

I just prefer to sandbox everything I do and not rely on system rubies or gems ever. Barring this, you can also install the "pure ruby readline"bainur: thank u, work like a magic :DHari: Thank you!!!Denis: Thanks a lot!magesh: That helped! Do you think that's plausible? Ruby Readline Thanks!

QiitaItemsRubyrails consoleコマンドがLoadErrorでエラーになったときの解消法Ruby11825RubyOnRails624roki1801 posted in Mar 04, 2015(Edited Mar 04, 2015)Revisions(2)Report article×Report articleHelp us understand the problem. Rb-readline Hyper Derivative definition. On Ubunutu you could do sudo apt-get install libreadline5-dev libncurses5-dev and then you will have to recompile readline which comes with your ruby source cd /ext/readline ruby extconf.rb make sudo make http://stackoverflow.com/questions/9340497/cannot-load-such-file-readline-loaderror-when-running-heroku-create-stack rails consoleの再実行 再び、`$ rails console` を実行してみます。 `$ rails console`  > **実行結果** ```Loading development environment (Rails 4.1.8) irb(main):001:0> ``` 無事にコマンドラインが開きました。 Send an edit requestYou can propose improvements about the article to the

share|improve this answer answered Feb 18 '12 at 13:24 iltempo 10.2k53559 1 What what exactly do I need to add to my Gemfile? Brew Install Specific Version Ubuntu: apt-get install libreadline-dev Fedora: yum install readline-devel Mac OS X with Homebrew: brew install readline RUBY_CONFIGURE_OPTS=--with-readline-dir="$(brew --prefix readline)" rbenv install 1.9.3-p286 Missing zlib cannot load such file -- zlib Try Why is Professor Lewin correct regarding dimensional analysis, and I'm not? bmorrall added a commit to bmorrall/laptop that referenced this issue Dec 23, 2014 Dan Collis-Puro Rb-readline

Both of them would fix your problem on their own, both have their strengths and weaknesses. http://makotton.com/2014/07/10/305 ruby-build is a community project. `require': Cannot Load Such File -- Readline current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list. Rails Require Cannot Load Such File You signed in with another tab or window.

The system Ruby creates the /etc/gemrc file which contains --user-install by default so that pacman-managed gems are not mixed up with externally installed gems. http://culturahq.com/cannot-load/require-39-cannot-load-such-file-loaderror.html Developer does not see priority in git Development Workflow being followed The cost of switching to electric cars? How to decline a postdoc interview if there is some possible future collaboration? I lack context. @ahacking Sorry you lost time over this. Require Cannot Load Such File Loaderror

Blggr - powered by clojure, stasis, enlive, cegdown. fallback to US7ASCII. => true irb(main):027:0> require 'console_app' => true share|improve this answer answered Jul 28 '15 at 9:06 Carl 213 add a comment| Your Answer draft saved draft discarded this issue isn't ruby-build issue. http://culturahq.com/cannot-load/cannot-load-such-file-readline-1-9-3.html Adding rb-readline to Gemfile worked for me. –swornabsent Sep 24 '15 at 20:41 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using

In my case I got this tip: sudo apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion Rvm Thanks! So you might try (Ubuntu, Debian): sudo apt-get install libncurses5-devsudo apt-get install libreadline5-dev Then cd to the folder withyour unpacked Ruby sources, subfolder ext/readline: cd /usr/src/ruby-1.8.7-p72/ext/readlineruby extconf.rbmakesudo make install There is

Already have an account?

That's working now, thanks a million johnkoht, legend! –polarcare Apr 1 '13 at 22:22 Glad you got it working (sorry I didn't see your other messages until now). –johnkoht And a global gem could interfere with another project if you're working on more than one. –davidkovsky May 19 '12 at 17:26 7 I don't think uninstalling ruby is really Missing the OpenSSL lib? This solution seems like the cleanest fix for now until the code is updated.

Using rake 10.4.2 Using i18n 0.7.0 Using json 1.8.2 Using minitest 5.5.1 Using thread_safe 0.3.4 Using tzinfo 1.2.2 Using activesupport 4.1.8 Using builder 3.2.2 Using erubis 2.7.0 Using actionview 4.1.8 Using nochecking for readline/readline.h... This is better for some because you now have pure-Ruby implementation that works on every platform but requires you to specify it in Gemfile (which shouldn't be much of a problem) check over here Because I need solution that just works.

How do fonts work in LaTeX? How to react? I used this command: sudo ruby-install -p https://gist.github.com/mislav/a18b9d7f0dc5b9efc162.txt ruby 2. hsbt commented Mar 17, 2014 I already requested to support readline-6.3 to ruby-core.

By example, to install ruby 2.1.1, use the whole following command: RUBY_CONFIGURE_OPTS=--with-readline-dir="/usr/lib" rbenv install 2.1.1. When prompted for file to be patched, I entered: ext/readline/readline.c. We recommend upgrading to the latest Safari, Google Chrome, or Firefox. I am surprised the readline issue slipped through the ruby team.

and Ruby path is /usr/local/bin/ruby –soundar Oct 28 '11 at 11:09 1 If it's in /usr/local, I guess you built it manually?


  • © Copyright 2017 culturahq.com. All rights reserved.